import { ElementRef, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class MonkeyEcxFormatUpper implements ControlValueAccessor {
    private _el;
    private _renderer;
    _onChange?: (_: any) => void;
    _touched?: () => void;
    constructor(_el: ElementRef, _renderer: Renderer2);
    onKeyDown(evt: KeyboardEvent): void;
    onBlur(): void;
    writeValue(value: any): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxFormatUpper, [{ self: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonkeyEcxFormatUpper, "[monkeyecxFormatUpper]", never, {}, {}, never>;
}
